## gnome-shell-extension-hide-activities 48

=== Makefile ===
release:
	rm -rf Hide_Activities@zeten30.gmail.com.zip
	zip -j Hide_Activities@zeten30.gmail.com.zip extension.js LICENSE metadata.json README.md stylesheet.css

## gnome-shell-extension-hide-activities 0.00~git20131024.1.6574986

=== debian/changelog ===
gnome-shell-extension-hide-activities (0.00~git20131024.1.6574986-2) unstable; urgency=medium

  * Upgrade compat to debhelper-compat (=12) 
  * Update standards version to 4.4.0
  * Update maintainer e-mail address
  * Remove unneeded shlibs depends

 -- Jonathan Carter <jcc@debian.org>  Fri, 02 Aug 2019 10:14:17 +0000

gnome-shell-extension-hide-activities (0.00~git20131024.1.6574986-1) unstable; urgency=medium

  * Initial release (Closes: 841920)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 24 May 2016 09:42:41 +0200

=== debian/control ===
Source: gnome-shell-extension-hide-activities
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=12)
Standards-Version: 4.4.0
Homepage: https://github.com/shayel/gnome-hide-activities
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities

Package: gnome-shell-extension-hide-activities
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.16)
Description: GNOME shell extension that hides the activities button
 This extension hides the Acitivies text and button on the top left
 corner of GNOME shell, making the appearance simpler and the panel
 less cluttered.

=== debian/watch ===
# This code currently has no releases, you can find the git repository at:
# https://github.com/shayel/gnome-hide-activities

## gnome-shell-extension-hide-activities 41

=== debian/changelog ===
gnome-shell-extension-hide-activities (41-1) unstable; urgency=medium

  * New upstream fork (Closes: #996061, #993188)
  * Upgrade to debhelper-compat (=13)
  * Update standards version to 4.6.0

 -- Jonathan Carter <jcc@debian.org>  Wed, 05 Jan 2022 16:05:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (=12)
-Standards-Version: 4.4.0
-Homepage: https://github.com/shayel/gnome-hide-activities
+Build-Depends: debhelper-compat (=13), zip
+Standards-Version: 4.6.0
+Homepage: https://github.com/zeten30/HideActivities
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities

## gnome-shell-extension-hide-activities 43

=== debian/changelog ===
gnome-shell-extension-hide-activities (43-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/patches (no longer required)

 -- Jonathan Carter <jcc@debian.org>  Tue, 18 Oct 2022 17:12:47 +0200

gnome-shell-extension-hide-activities (42-3) unstable; urgency=medium

  * Team upload

  [ Jesús Soto ]
  * Add patch to mark compatible with GNOME Shell 43 (Closes: #1018270)
  * Set maximum GNOME Shell version to 43

  [ Jeremy Bicha ]
  * Drop unnecessary Build-Depends on zip

 -- Jesús Soto <jesus.soto@canonical.com>  Thu, 08 Sep 2022 17:12:09 -0400

gnome-shell-extension-hide-activities (42-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * Team upload

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 10:25:25 +0200

gnome-shell-extension-hide-activities (42-1) unstable; urgency=medium

  * New upstream release (Closes: #1008550)

 -- Jonathan Carter <jcc@debian.org>  Wed, 30 Mar 2022 12:57:14 +0200

=== debian/control ===
Source: gnome-shell-extension-hide-activities
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.6.0
Homepage: https://github.com/zeten30/HideActivities
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities

Package: gnome-shell-extension-hide-activities
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 3.16), gnome-shell (<< 44~)
Description: GNOME shell extension that hides the activities button
 This extension hides the Acitivies text and button on the top left
 corner of GNOME shell, making the appearance simpler and the panel
 less cluttered.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Don't run the useless Makefile
override_dh_auto_build:

## gnome-shell-extension-hide-activities 47

=== debian/changelog ===
gnome-shell-extension-hide-activities (47-1) unstable; urgency=medium

  * New upstream release
  * Update gnome-shell dependency to include version 47
  * Update standards version to 4.7.0
  * Remove trailing whitespace in this changelog 

 -- Jonathan Carter <jcc@debian.org>  Fri, 16 Aug 2024 10:01:07 +0200

gnome-shell-extension-hide-activities (46-1) unstable; urgency=medium

  * Team upload
  * Release to unstable (Closes: #1052103)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jul 2024 07:57:08 -0400

gnome-shell-extension-hide-activities (46-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump gnome shell dependency to allow for
    gnome-shell version 46

 -- Jonathan Carter <jcc@debian.org>  Tue, 23 Apr 2024 15:24:50 +0200

gnome-shell-extension-hide-activities (45-1) experimental; urgency=medium

  * Team upload
  * New upstream release (Closes: #1052103)
  * debian/control: Bump minimum GNOME Shell to 45 to match metadata.json
  * Add debian/gbp.conf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Sep 2023 13:19:38 -0400

gnome-shell-extension-hide-activities (44-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2
  * Update gnome-shell versioned dependency to (<< 45~)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 11:06:32 +0200

=== debian/control ===
Source: gnome-shell-extension-hide-activities
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.7.0
Homepage: https://github.com/zeten30/HideActivities
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities

Package: gnome-shell-extension-hide-activities
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 45~), gnome-shell (<< 48~)
Description: GNOME shell extension that hides the activities button
 This extension hides the Acitivies text and button on the top left
 corner of GNOME shell, making the appearance simpler and the panel
 less cluttered.

## gnome-shell-extension-hide-activities 48

=== debian/changelog ===
gnome-shell-extension-hide-activities (48-2) unstable; urgency=medium

  * Team upload
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 17:26:28 -0400

gnome-shell-extension-hide-activities (48-1) unstable; urgency=medium

  * New upstream release (Closes: #1096050)
  * Update gnome-shell dependency to include version 48
  * Update standards version to 4.7.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2025 13:07:45 +0200

=== debian/control ===
Source: gnome-shell-extension-hide-activities
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>,
Build-Depends: debhelper-compat (=13)
Build-Depends-Indep: python3
Standards-Version: 4.7.1
Homepage: https://github.com/zeten30/HideActivities
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-hide-activities

Package: gnome-shell-extension-hide-activities
Architecture: all
Depends:
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
 ${misc:Depends},
Description: GNOME shell extension that hides the activities button
 This extension hides the Acitivies text and button on the top left
 corner of GNOME shell, making the appearance simpler and the panel
 less cluttered.

## gnome-shell-extension-hide-activities 49

=== debian/changelog ===
gnome-shell-extension-hide-activities (49-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Sep 2025 12:55:28 +0200

=== debian/watch ===
version=4
https://github.com/zeten30/HideActivities/tags .*/archive/refs/tags/(\d[\d\.]+)\.tar\.gz

## gnome-shell-extension-hide-activities 50

=== debian/changelog ===
gnome-shell-extension-hide-activities (50-1) unstable; urgency=medium

  * New upstream release 

 -- Jonathan Carter <jcc@debian.org>  Mon, 02 Mar 2026 18:29:05 +0200
